| The Gaudi Framework v28r2p1 (f1a77ff4)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
pool::Token Class Reference

Shadow class to mimik POOL tokens. More...

`#include <RootCnv/PoolClasses.h>`

Collaboration diagram for pool::Token:
[legend]

## Public Member Functions
| Token ()=default
| transient (a streamer is used to read it) More...
virtual | ~Token ()=default
bool | operator== (const Token &t) const

## Public Attributes
int | m_refCount
int | m_technology
| transient (a streamer is used to read it) More...
std::string | m_dbID
| transient (a streamer is used to read it) More...
std::string | m_cntID
| transient (a streamer is used to read it) More...
Guid | m_classID
| transient (a streamer is used to read it) More...
std::pair< int, int > | m_oid
| Object global identifier. More...
int | m_type
| POOL OID data member: transient (a streamer is used to read it) More...

## Detailed Description

Shadow class to mimik POOL tokens.

Definition at line 20 of file PoolClasses.h.

## Constructor & Destructor Documentation

pool::Token::Token | ( |  | ) |
| default

transient (a streamer is used to read it)

virtual pool::Token::~Token | ( |  | ) |
| virtual default

## Member Function Documentation

bool pool::Token::operator== | ( | const Token & | t | ) | const
| inline

Definition at line 32 of file PoolClasses.h.

32 { return m_oid.first==t.m_oid.first && m_oid.second==t.m_oid.second;}
pool::Token::m_oid
std::pair< int, int > m_oid
Object global identifier.
Definition: PoolClasses.h:27

## Member Data Documentation

Guid pool::Token::m_classID

transient (a streamer is used to read it)

Definition at line 26 of file PoolClasses.h.

std::string pool::Token::m_cntID

transient (a streamer is used to read it)

Definition at line 25 of file PoolClasses.h.

std::string pool::Token::m_dbID

transient (a streamer is used to read it)

Definition at line 24 of file PoolClasses.h.

std::pair<int, int> pool::Token::m_oid

Object global identifier.

Definition at line 27 of file PoolClasses.h.

int pool::Token::m_refCount

Definition at line 22 of file PoolClasses.h.

int pool::Token::m_technology

transient (a streamer is used to read it)

Definition at line 23 of file PoolClasses.h.

int pool::Token::m_type

POOL OID data member: transient (a streamer is used to read it)

Definition at line 28 of file PoolClasses.h.

The documentation for this class was generated from the following file:

- RootCnv/RootCnv/PoolClasses.h